Bug 1201345 - binutils: ld sporadically generates binaries without relro protection even when told so
Summary: binutils: ld sporadically generates binaries without relro protection even wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: binutils
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On: 1200138 1227839
Blocks: 1187269
TreeView+ depends on / blocked
 
Reported: 2015-03-12 14:19 UTC by Jan Kurik
Modified: 2015-06-03 15:27 UTC (History)
15 users (show)

Fixed In Version: binutils-2.23.52.0.1-30.el7.1
Doc Type: Bug Fix
Doc Text:
Previously, binary files generated by the ld.so script in some cases lacked the Relocation Read-Only (RELRO) protection even when RELRO was explicitly requested on the command line. This update adjusts the underlying source code to ensure that RELRO protection is properly set for binary files created by ld.so.
Clone Of: 1200138
Environment:
Last Closed: 2015-03-26 14:10:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0741 0 normal SHIPPED_LIVE binutils bug fix update 2015-03-26 18:10:41 UTC

Description Jan Kurik 2015-03-12 14:19:03 UTC
This bug has been copied from bug #1200138 and has been proposed
to be backported to 7.1 z-stream (EUS).

Comment 6 errata-xmlrpc 2015-03-26 14:10:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0741.html


Note You need to log in before you can comment on or make changes to this bug.